
Upgrade commands for a node in the cluster

### Synopsis

Upgrade commands for a node in the cluster

The "node" command executes the following phases:
```
preflight       Run upgrade node pre-flight checks
control-plane   Upgrade the control plane instance deployed on this node, if any
kubelet-config  Upgrade the kubelet configuration for this node
```


```
kubeadm upgrade node [flags]
```

### Options

```
      --certificate-renewal               Perform the renewal of certificates used by component changed during upgrades. (default true)
      --config string                     Path to a kubeadm configuration file.
      --dry-run                           Do not change any state, just output the actions that would be performed.
      --etcd-upgrade                      Perform the upgrade of etcd. (default true)
  -h, --help                              help for node
      --ignore-preflight-errors strings   A list of checks whose errors will be shown as warnings. Example: 'IsPrivilegedUser,Swap'. Value 'all' ignores errors from all checks.
      --kubeconfig string                 The kubeconfig file to use when talking to the cluster. If the flag is not set, a set of standard locations can be searched for an existing kubeconfig file. (default "/etc/kubernetes/admin.conf")
      --patches string                    Path to a directory that contains files named "target[suffix][+patchtype].extension". For example, "kube-apiserver0+merge.yaml" or just "etcd.json". "target" can be one of "kube-apiserver", "kube-controller-manager", "kube-scheduler", "etcd", "kubeletconfiguration", "corednsdeployment". "patchtype" can be one of "strategic", "merge" or "json" and they match the patch formats supported by kubectl. The default "patchtype" is "strategic". "extension" must be either "json" or "yaml". "suffix" is an optional string that can be used to determine which patches are applied first alpha-numerically.
      --skip-phases strings               List of phases to be skipped
```

### Options inherited from parent commands

```
      --rootfs string   The path to the 'real' host root filesystem. This will cause kubeadm to chroot into the provided path.
```

